# GCC_ApplicationRecord_nonCollapsingCapabilities_subtype Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_ApplicationRecord_nonCollapsingCapabilities_subtype:

List of all members.

## Public Types

enum | OptionalFields { e_applicationData }

## Public Member Functions

| GCC_ApplicationRecord_nonCollapsingCapabilities_subtype (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_CapabilityID | m_capabilityID
PASN_OctetString | m_applicationData

## Member Enumeration Documentation

enum GCC_ApplicationRecord_nonCollapsingCapabilities_subtype::OptionalFields

Enumerator:

  e_applicationData |

## Constructor & Destructor Documentation

GCC_ApplicationRecord_nonCollapsingCapabilities_subtype::GCC_ApplicationRecord_nonCollapsingCapabilities_subtype | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_ApplicationRecord_nonCollapsingCapabilities_subtype::GetDataLength | ( |  | ) | const

PBoolean GCC_ApplicationRecord_nonCollapsingCapabilities_subtype::Decode | ( | PASN_Stream & | strm | ) |

void GCC_ApplicationRecord_nonCollapsingCapabilities_subtype::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_ApplicationRecord_nonCollapsingCapabilities_subtype::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_ApplicationRecord_nonCollapsingCapabilities_subtype::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_ApplicationRecord_nonCollapsingCapabilities_subtype::Clone | ( |  | ) | const

## Member Data Documentation

GCC_CapabilityID GCC_ApplicationRecord_nonCollapsingCapabilities_subtype::m_capabilityID

PASN_OctetString GCC_ApplicationRecord_nonCollapsingCapabilities_subtype::m_applicationData

The documentation for this class was generated from the following file:

- gcc.h